Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class TimingParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.TimingParser

All Implemented Interfaces:
  Localizable, Parser

Direct Known Subclasses:
  ClockParser, TimingSpecifierParser

    public abstract class TimingParser

extends AbstractParser

An abstract base class for SMIL timing value parsers.

Field Summary
`protected static int` | `TIME_ACCESSKEY`
`protected static int` | `TIME_ACCESSKEY_SVG12`
`protected static int` | `TIME_EVENTBASE`
`protected static int` | `TIME_INDEFINITE`
`protected static int` | `TIME_MEDIA_MARKER`
`protected static int` | `TIME_OFFSET`
`protected static int` | `TIME_REPEAT`
`protected static int` | `TIME_SYNCBASE`
`protected static int` | `TIME_WALLCLOCK`
`protected boolean` | `useSVG11AccessKeys` Allows the use of accessKey() timing specifiers with a single character, as specified in SVG 1.1.
`protected boolean` | `useSVG12AccessKeys` Allows the use of accessKey() timing specifiers with a DOM 3 key name, as specified in SVG 1.2.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`TimingParser(boolean useSVG11AccessKeys, boolean useSVG12AccessKeys)` Creates a new TimingParser.

Method Summary
`protected float` | `parseClockValue()` Parses a clock value.
`protected int` | `parseDigits()` Parses a sequence of digits and returns the integer.
`protected float` | `parseFraction()` Parses a '.' and a sequence of digits and returns the float.
`protected Object[]` | `parseIDValue(boolean escaped)` Parses a timing specifier that starts with a word.
`protected String` | `parseName()` Parses an XML name with optional escaping in the middle.
`protected float` | `parseOffset()` Parses an offset value.
`protected Object[]` | `parseTimingSpecifier()` Parses a timing specifier.
`protected float` | `parseUnit()` Parses a time unit and returns the float for the multiplier.
`protected Calendar` | `parseWallclockValue()` Parses a wallclock value and returns it as a `Calendar`.

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, doParse, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIME_OFFSET

    protected static final int TIME_OFFSET

See Also:
  Constant Field Values

### TIME_SYNCBASE

    protected static final int TIME_SYNCBASE

See Also:
  Constant Field Values

### TIME_EVENTBASE

    protected static final int TIME_EVENTBASE

See Also:
  Constant Field Values

### TIME_REPEAT

    protected static final int TIME_REPEAT

See Also:
  Constant Field Values

### TIME_ACCESSKEY

    protected static final int TIME_ACCESSKEY

See Also:
  Constant Field Values

### TIME_ACCESSKEY_SVG12

    protected static final int TIME_ACCESSKEY_SVG12

See Also:
  Constant Field Values

### TIME_MEDIA_MARKER

    protected static final int TIME_MEDIA_MARKER

See Also:
  Constant Field Values

### TIME_WALLCLOCK

    protected static final int TIME_WALLCLOCK

See Also:
  Constant Field Values

### TIME_INDEFINITE

    protected static final int TIME_INDEFINITE

See Also:
  Constant Field Values

### useSVG11AccessKeys

    protected boolean useSVG11AccessKeys

  Allows the use of accessKey() timing specifiers with a single character, as specified in SVG 1.1.

### useSVG12AccessKeys

    protected boolean useSVG12AccessKeys

  Allows the use of accessKey() timing specifiers with a DOM 3 key name, as specified in SVG 1.2.

Constructor Detail

### TimingParser

    public TimingParser(boolean useSVG11AccessKeys,
                        boolean useSVG12AccessKeys)

  Creates a new TimingParser.

  Parameters:
    `useSVG11AccessKeys` - allows the use of accessKey() timing specifiers with a single character
    `useSVG12AccessKeys` - allows the use of accessKey() with a DOM 3 key name

Method Detail

### parseTimingSpecifier

    protected Object[] parseTimingSpecifier()
                                     throws ParseException,
                                            IOException

  Parses a timing specifier. Returns an array of Objects of the form:
  - { TIME_OFFSET, offset }
  - { TIME_SYNCBASE, offset, id, time-symbol }
  - { TIME_EVENTBASE, offset, id, event-ref }
  - { TIME_REPEAT, offset, id, repeat-count }
  - { TIME_ACCESSKEY, offset, character }
  - { TIME_ACCESSKEY_SVG12, offset, key-name }
  - { TIME_MEDIA_MARKER, id, marker-name }
  - { TIME_WALLCLOCK, wallclock-value }
  - { TIME_INDEFINITE }

  Throws:
    `ParseException`
    `IOException`

### parseName

    protected String parseName()
                        throws ParseException,
                               IOException

  Parses an XML name with optional escaping in the middle.

  Throws:
    `ParseException`
    `IOException`

### parseIDValue

    protected Object[] parseIDValue(boolean escaped)
                             throws ParseException,
                                    IOException

  Parses a timing specifier that starts with a word.

  Parameters:
    `escaped` - whether a backslash appeared before this timing specifier
  Throws:
    `ParseException`
    `IOException`

### parseClockValue

    protected float parseClockValue()
                             throws ParseException,
                                    IOException

  Parses a clock value.

  Throws:
    `ParseException`
    `IOException`

### parseOffset

    protected float parseOffset()
                         throws ParseException,
                                IOException

  Parses an offset value.

  Throws:
    `ParseException`
    `IOException`

### parseDigits

    protected int parseDigits()
                       throws ParseException,
                              IOException

  Parses a sequence of digits and returns the integer.

  Throws:
    `ParseException`
    `IOException`

### parseFraction

    protected float parseFraction()
                           throws ParseException,
                                  IOException

  Parses a '.' and a sequence of digits and returns the float.

  Throws:
    `ParseException`
    `IOException`

### parseUnit

    protected float parseUnit()
                       throws ParseException,
                              IOException

  Parses a time unit and returns the float for the multiplier.

  Throws:
    `ParseException`
    `IOException`

### parseWallclockValue

    protected Calendar parseWallclockValue()
                                    throws ParseException,
                                           IOException

  Parses a wallclock value and returns it as a `Calendar`.

  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.